# Oracle SOA-BPEL 12c (Not applicable when deploying through ACC)

# Description
Agent extension for OSB version 12 monitoring. supports Business Processes, Pipelines, Proxy services, Transports, and Services etc.

##Short Description
Agent extension for OSB version 12 monitoring.

## APM version
Tested with APM 10.0. Should work for any APM Java Agent 9.1+

## Supported third party versions
Oracle SOA Suite 12c
Oracle SOA Suite 12cR2

## Limitations
Limited support for AppMap. Some Web Services and JMS traffic are not yet covered on the AppMap.

## Dependencies
APM agent 9.1+, SOA (web services) extension

## Configuration
For best monitoring and visibility results it is recommended to disable the Introscope default JMS Listener / Consumer and EJB tracing. The functionality is more accurate covered by this solution.


## Metric description

With the SOA extension for OSB, you can monitor 

How business services interact with the external systems and collect data about their overall health under the OSB > BusinessServices node.

The performance of the request and response pipelines and collect data about their overall health under the OSB > Pipelines node.

The performance of proxy services and collect data about their overall health under the OSB > ProxyServices node.

All of the supported transport protocols and collect metrics for inbound and outbound endpoints under the OSB > Transports node.

The UDDI registries and collect metrics for publish, import, and inquiry operations under the OSB > UDDI node.

XQuery transformations for creating, parsing, and executing XQueries and collect metrics for those operations under the OSB > XQueries node.


### Support URL
https://support.ca.com

## Categories
Integration Middleware/ESB Monitoring


